var assert = require("assert");

var FibonacciNumberGenerator = require("../src/FibonacciNumberGenerator.js"),
    fibonacciNumberGenerator = new FibonacciNumberGenerator();

describe("generateFibonacciNumber()", function () {
    it("should return the Fibonacci number.", function () {
        assert.equal(0, fibonacciNumberGenerator.generateFibonacciNumber(0));
        assert.equal(1, fibonacciNumberGenerator.generateFibonacciNumber(1));
        assert.equal(1, fibonacciNumberGenerator.generateFibonacciNumber(2));
        assert.equal(2, fibonacciNumberGenerator.generateFibonacciNumber(3));
        assert.equal(3, fibonacciNumberGenerator.generateFibonacciNumber(4));
        assert.equal(5, fibonacciNumberGenerator.generateFibonacciNumber(5));
        assert.equal(8, fibonacciNumberGenerator.generateFibonacciNumber(6));
        assert.equal(13, fibonacciNumberGenerator.generateFibonacciNumber(7));
        assert.equal(21, fibonacciNumberGenerator.generateFibonacciNumber(8));
        assert.equal(34, fibonacciNumberGenerator.generateFibonacciNumber(9));
        assert.equal(55, fibonacciNumberGenerator.generateFibonacciNumber(10));
        assert.equal(89, fibonacciNumberGenerator.generateFibonacciNumber(11));
        assert.equal(144, fibonacciNumberGenerator.generateFibonacciNumber(12));
    });
});
